Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderer.ParameterBinding

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding

Direct Known Subclasses:
  WebServiceRenderer.ConstParam, WebServiceRenderer.DefaultableParameterBinding

Enclosing class:
  WebServiceRenderer

public abstract static class WebServiceRenderer.ParameterBinding
extends java.lang.Object

Base class for objects representing a parameter in the request to the web service to that can be 'bound' to a variety of sources.

Constructor Summary
`WebServiceRenderer.ParameterBinding()`
`WebServiceRenderer.ParameterBinding(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()` Gets the binding name, which identifies the particular item of data it is bound to.
`abstract java.lang.String` | `getValue(WebServiceRenderRequest wrr)` Evaluates the binding in the context of the given `WebServiceRenderRequest`.
`boolean` | `isMandatory()` Determines whether this `ParameterBinding` is mandatory.
`void` | `setName(java.lang.String name)` Sets the binding name, which identifies the particular item of data it should be bound to.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderer.ParameterBinding

    public WebServiceRenderer.ParameterBinding()

### WebServiceRenderer.ParameterBinding

    public WebServiceRenderer.ParameterBinding(java.lang.String name)

Method Detail

### setName

    public final void setName(java.lang.String name)

  Sets the binding name, which identifies the particular item of data it should be bound to.

  Parameters:
    `name` - the binding name

### getName

    public final java.lang.String getName()

  Gets the binding name, which identifies the particular item of data it is bound to.

  Returns:
    the binding name

### getValue

    public abstract java.lang.String getValue(WebServiceRenderRequest wrr)
                                       throws PortletException

  Evaluates the binding in the context of the given `WebServiceRenderRequest`.

  Returns:
    the value of the binding for the given `WebServiceRenderRequest`.
  Throws:
    `PortletException` - if an exception occurs while evaluating the binding.

### isMandatory

    public boolean isMandatory()

  Determines whether this `ParameterBinding` is mandatory. If a `WebServiceRenderer` has any mandatory parameter bindings, its web service will not be invoked until all its bindings have a value which is non-null and not equal to the empty string. By default, all parameters are non-mandatory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.